Bug 30322 - seamonkey-2.29-alt1.i586 падает на старте
: seamonkey-2.29-alt1.i586 падает на старте
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/seamonkey)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2014-09-16 14:42 by
Modified: 2014-09-24 01:32 (History)


Attachments
gdb backtrace (5.89 KB, text/plain)
2014-09-23 20:21, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2014-09-16 14:42:24
32-битная сборка seamonkey-2.29-alt1 падает при запуске, проверяется на
http://nightly.altlinux.org/sisyphus/snapshots/20140916/regular-icewm-20140916-i586.iso
(с 64-битной всё хорошо).

(process:2500): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size
== 0' failed

/usr/bin/seamonkey: line 5:  2500 Ошибка сегментирования                  
/usr/lib/seamonkey/seamonkey-bin ${1:+"$@"}
------- Comment #1 From 2014-09-23 20:21:32 -------
Created an attachment (id=6149) [details]
gdb backtrace

#6  0xb59e7ee4 in EnterBaseline(JSContext*, js::jit::EnterJitData&) () from
/usr/lib/seamonkey/libxul.so

навело на мысль, что нужен вот этот патч с отключением по умолчанию
javascript.options.baselinejit:
http://pkgs.fedoraproject.org/cgit/seamonkey.git/tree/firefox-32-baseline-disable.patch
-- тем паче что в федорином спеке он именно на %{ix86} и прикладывается; так
оно и оказалось.
------- Comment #2 From 2014-09-24 01:32:15 -------
seamonkey-1:2.29-alt2 -> sisyphus:

* Tue Sep 23 2014 Michael Shigorin <mike@altlinux> 1:2.29-alt2
- NMU: applied fedora patch to disable baseline jit
  working around a segfault on i586 (closes: #30322)